/*
 * Copyright (C) 2013 Guido Berhoerster <guido+xinhibit-applet@berhoerster.name>
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef	__XIA_ICON_H
#define	__XIA_ICON_H

#include <glib-object.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define	XIA_TYPE_ICON		(xia_icon_get_type())
#define	XIA_ICON(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), \
    XIA_TYPE_ICON, XiaIcon)
#define	XIA_IS_ICON(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj),\
    XIA_TYPE_ICON))
#define	XIA_ICON_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST((klass),\
    XIA_TYPE_ICON, XiaIconClass))
#define	XIA_IS_ICON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),\
    XIA_TYPE_ICON))
#define	XIA_ICON_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), \
    XIA_TYPE_ICON, XiaIconClass))

typedef struct _XiaIcon		XiaIcon;
typedef struct _XiaIconClass	XiaIconClass;
typedef struct _XiaIconPrivate	XiaIconPrivate;

struct	_XiaIcon {
	GObject parent_instance;
	XiaIconPrivate *priv;
};

struct	_XiaIconClass {
	GObjectClass parent_class;
};

GType	xia_icon_get_type(void) G_GNUC_CONST;
XiaIcon	*xia_icon_new(void);

G_END_DECLS

#endif /* __XIA_ICON_H */
